# =========================================================================== #
# Gemspec for Project Chemistry.
# =========================================================================== #
require 'chemistry_paradise'

Gem::Specification.new { |s|

  s.name    = 'chemistry_paradise'
  s.version = ChemistryParadise::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

  Chemistry-related tasks are gathered in this project.
    
  The classes in this project may allow you to translate
  between celsius and fahrenheit (and vice versa), show the
  mass of elements or compounds and several similar things
  somewhat related to chemistry.

  For more extensive documentation, see the link at the
  bottom right side of this webpage, called "Documentation".

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.extra_rdoc_files = %w()
  
  s.authors   = ['Robert A. Heiler']
  s.email     = 'shevegen@gmail.com'
  s.files     = Dir['**/*']
  s.license   = 'GPL-2.0'
  s.homepage  = 'http://rubygems.org/gems/chemistry'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'opn'
  s.add_dependency 'cliner'
  s.add_dependency 'colours'

}